.contact__list {
  @include list-reset;
}

.contact__item {
  font-size: 18px;
  line-height: 22px;
  color: #000000;
  display: flex;
  align-items: flex-start;
  font-weight: 400;
  max-width: 432px;

  &::before {
    @include pseudo;
    width: 20px;
    height: 20px;
    min-width: 20px;
    margin-right: 20px;
    background-size: contain;
  }

  &--phone {
    &::before {
      background-image: url("../images/phone.svg");
    }
  }

  &--email {
    &::before {
      background-image: url("../images/mail.svg");
    }
  }

  &--address {
    &::before {
      background-image: url("../images/pin.svg");
    }
  }

  &--work {
    &::before {
      background-image: url("../images/clock.svg");
    }
  }

  &:not(:last-child) {
    margin-bottom: 50px;
  }

}

.contact__title {
  margin-bottom: 50px;
}

.contact__partners {
  @include list-reset;
  display: flex;
  justify-content: center;
}

.contact__body {
  position: relative;
  padding-bottom: 90px;
  margin-bottom: 70px;
}

.contact__list {
  margin-bottom: 30px;
}

.contact__button {
  position: absolute;
  bottom: 0;
}

.contact__partner {
  img {
    width: 90px;
    height: 90px;
    object-fit: contain;
  }
}

.contact__map {
  margin-left: -20px;
  margin-right: -20px;
  position: relative;
  height: 635px;

  iframe {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
  }
}

@media (min-width: 768px) {
  .contact__button {
    position: relative;
    bottom: unset;
    margin-bottom: 30px;
  }

  .contact__partners {
    justify-content: flex-start;
  }

  .contact__body  {
    padding-bottom: 0;
  }
}

@media (min-width: 1200px) {
  .contact__item {
    align-items: center;
    &::before {
      margin-right: 31px;
    }
  }

  .contact__title {
    margin-bottom: 76px;
    &.subtitle {
      text-align: left;
    }
  }

  section.contact {
    display: flex;
  }

  .contact__body {
    margin-bottom: 0;
  }

  .contact__map {
    width: 636px;
    margin-left: auto;
    margin-right: 0;
    height: auto;
  }

  .contact__list {
    margin-bottom: 76px;
  }

  .contact__button {
    margin-bottom: 0;
  }

  .contact__partners {
    margin-top: 76px;
  }
}
